diff -urpN busybox-1.13.2/networking/wget.c busybox-1.13.2-wget/networking/wget.c
--- busybox-1.13.2/networking/wget.c	2008-11-09 18:27:59.000000000 +0100
+++ busybox-1.13.2-wget/networking/wget.c	2009-03-02 16:07:12.000000000 +0100
@@ -417,15 +417,17 @@ int wget_main(int argc UNUSED_PARAM, cha
 		KEY_content_length = 1, KEY_transfer_encoding, KEY_chunked, KEY_location
 	};
 	enum {
-		WGET_OPT_CONTINUE   = 0x1,
-		WGET_OPT_SPIDER	    = 0x2,
-		WGET_OPT_QUIET      = 0x4,
-		WGET_OPT_OUTNAME    = 0x8,
-		WGET_OPT_PREFIX     = 0x10,
-		WGET_OPT_PROXY      = 0x20,
-		WGET_OPT_USER_AGENT = 0x40,
-		WGET_OPT_PASSIVE    = 0x80,
-		WGET_OPT_HEADER     = 0x100,
+		WGET_OPT_CONTINUE   = (1 << 0),
+		WGET_OPT_SPIDER	    = (1 << 1),
+		WGET_OPT_QUIET      = (1 << 2),
+		WGET_OPT_OUTNAME    = (1 << 3),
+		WGET_OPT_PREFIX     = (1 << 4),
+		WGET_OPT_PROXY      = (1 << 5),
+		WGET_OPT_USER_AGENT = (1 << 6),
+		WGET_OPT_RETRIES    = (1 << 7),
+		WGET_OPT_NETWORK_READ_TIMEOUT = (1 << 8),
+		WGET_OPT_PASSIVE    = (1 << 9),
+		WGET_OPT_HEADER     = (1 << 10),
 	};
 #if ENABLE_FEATURE_WGET_LONG_OPTIONS
 	static const char wget_longopts[] ALIGN1 =
@@ -437,6 +439,10 @@ int wget_main(int argc UNUSED_PARAM, cha
 		"directory-prefix\0" Required_argument "P"
 		"proxy\0"            Required_argument "Y"
 		"user-agent\0"       Required_argument "U"
+		/* Ignored: */
+		// "tries\0"            Required_argument "t"
+		// "timeout\0"          Required_argument "T"
+		/* Ignored (we always use PASV): */
 		"passive-ftp\0"      No_argument       "\xff"
 		"header\0"           Required_argument "\xfe"
 		;
